import base64
import time,shutil, os
import logging
import os
from logging.handlers import TimedRotatingFileHandler
from datetime import datetime
from colorama import Fore, Style, init

def encode_to_base64(text):
    encoded_bytes = base64.b64encode(text.encode('utf-8'))
    return encoded_bytes.decode('utf-8').replace('=', '_deng_hao_').replace('+', '_jia_hao_').replace('/', '_xie_gang_')

def decode_from_base64(encoded_text):
    encoded_text = encoded_text.replace('_deng_hao_', '=').replace('_jia_hao_','+').replace('_xie_gang_', '/')
    decoded_bytes = base64.b64decode(encoded_text.encode('utf-8'))
    return decoded_bytes.decode('utf-8')
def remove_files(basic_path):
    current_time = time.time()
    TIME_THRESHOLD_FILEPATH = 10 * 24 * 60 * 60
    TIME_THRESHOLD_FILE = 2 * 60
    for root, dirs, files in os.walk(basic_path, topdown=False):
        try:
            if current_time - os.path.getmtime(root) > TIME_THRESHOLD_FILEPATH:
                
                print(f"删除文件夹: {root}")
                shutil.rmtree(root)
                continue
            for file in files:
                file_path = os.path.join(root, file)
                if current_time - os.path.getmtime(file_path) > TIME_THRESHOLD_FILE:
                    print(f"删除文件: {file_path}")
                    os.remove(file_path)
            # 删除文件夹
            for dir in dirs:
                dir_path = os.path.join(root, dir)
                if current_time - os.path.getmtime(dir_path) > TIME_THRESHOLD_FILEPATH:
                    print(f"删除文件夹: {dir_path}")
                    shutil.rmtree(dir_path)
        except Exception as e:
            print(f'删除文件出错：{e}')

if __name__ == "__main__":
    # 示例
    chinese_text = "分区名称ggg.pdf"
    encoded_text = encode_to_base64(chinese_text)
    print("Base64 编码:", encoded_text)
    decoded_text = decode_from_base64(encoded_text)

    
    print("解码后:", decoded_text)
